Subject: Re: bug#31079: Windows - Emacs-25.3.1 Can't find source.tex file

From: Liyu Gong <[email-masked]>
Date: Sat, 7 Apr 2018 11:54:45 -0400

Hi Joe,

I tried "C-c C-c Other" with pdflatex d:/aa.tex. Now it can see
"aa.tex", but can not find "article.cls". The output is:

Running `Other' on `aa' with ``pdflatex d:/aa.tex''
This is pdfTeX, Version 3.14159265-2.6-1.40.18 (TeX Live 2017/W32TeX)
(preloaded format=pdflatex)
 restricted \write18 enabled.
entering extended mode
(d:/aa.tex
LaTeX2e <2017-04-15>
Babel <3.18> and hyphenation patterns for 84 language(s) loaded.

! LaTeX Error: File `article.cls' not found.

Type X to quit or <RETURN> to proceed,
or enter new name. (Default extension: cls)

Enter file name:

Thanks for debugging.

Best,
Liyu

On Sat, Apr 7, 2018 at 11:45 AM,  <[email-masked]> wrote:
> Hi Liyu,
>
> Very puzzling.
>
> In the new auctex version (the one that's giving problems), can you issue a "C-c C-c Other" with this command:
>
> pdflatex d:/aa.tex
>
> and see whether it sees the file? It works for me.
>
> Thank you for your patience.
> J
>
> On 2018-04-07 17:25, Liyu Gong wrote:
>> Hi Joe,
>>
>> It said "/d", not "/d/"
>>
>> My emacs is download exactly the same address of yours. I mentioned
>> cygwin because you said I should see something like "/cygdrive/d/"
>> after pwd, and that's path is a cygwin path.